<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Code Enumeration Reference</title>
    <link rel="stylesheet" type="text/css" href="../../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../../js/jquery.min.js" defer></script>
    <script src="../../js/jazzy.js" defer></script>
    
    <script src="../../js/lunr.min.js" defer></script>
    <script src="../../js/typeahead.jquery.js" defer></script>
    <script src="../../js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Enum/Code" class="dashAnchor"></a>
    <a title="Code Enumeration Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../../index.html">HaishinKit 1.8.0 Docs</a> (88% documented)</p>
        <div class="header-right">
          <form role="search" action="../../search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../../index.html">HaishinKit Reference</a>
        <img id="carat" src="../../img/carat.png" alt=""/>
        Code Enumeration Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Classes/ByteArray.html">ByteArray</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/ByteArray/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/Event.html">Event</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/Event/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/EventDispatcher.html">EventDispatcher</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/IOAudioCaptureUnit.html">IOAudioCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/IOStream.html">IOStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/IOStream/ReadyState.html">– ReadyState</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/IOStreamBitRateStrategy.html">IOStreamBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/IOStreamRecorder.html">IOStreamRecorder</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/IOStreamRecorder/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/IOStreamVideoAdaptiveBitRateStrategy.html">IOStreamVideoAdaptiveBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/IOVideoCaptureUnit.html">IOVideoCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/InstanceHolder.html">InstanceHolder</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MTHKView.html">MTHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/NetClient.html">NetClient</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/NetService.html">NetService</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/NetSocket.html">NetSocket</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/RTMPConnection.html">RTMPConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/RTMPConnection/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/RTMPResponder.html">RTMPResponder</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/RTMPSharedObject.html">RTMPSharedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/RTMPStream.html">RTMPStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/RTMPStream/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/RTMPStream/HowToPublish.html">– HowToPublish</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/SRTConnection.html">SRTConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/SRTLogger.html">SRTLogger</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/SRTStream.html">SRTStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/TSReader.html">TSReader</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/TSWriter.html">TSWriter</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/VideoEffect.html">VideoEffect</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Global%20Variables.html">Global Variables</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Global%20Variables.html#/s:10HaishinKit12kASUndefinedAA0C0Vvp">kASUndefined</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/FeatureUtil.html">FeatureUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/FeatureUtil/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/IOAudioMixerError.html">IOAudioMixerError</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/IOAudioUnitError.html">IOAudioUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/IOVideoUnitError.html">IOVideoUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/ImageTransform.html">ImageTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/RTMPObjectEncoding.html">RTMPObjectEncoding</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/SRTLogFunctionalArea.html">SRTLogFunctionalArea</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/SRTLogLevel.html">SRTLogLevel</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/SRTMode.html">SRTMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/SRTSocketOption.html">SRTSocketOption</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Extensions.html#/s:13SRTHaishinKit9SRTSocketC">SRTSocket</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Protocols/EventDispatcherConvertible.html">EventDispatcherConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/IOMuxer.html">IOMuxer</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/IOStreamBitRateStrategyConvertible.html">IOStreamBitRateStrategyConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/IOStreamDelegate.html">IOStreamDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/IOStreamObserver.html">IOStreamObserver</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/IOStreamRecorderDelegate.html">IOStreamRecorderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/IOStreamView.html">IOStreamView</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/RTMPConnectionDelegate.html">RTMPConnectionDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/Running.html">Running</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/TSReaderDelegate.html">TSReaderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/TSWriterDelegate.html">TSWriterDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Structs/ASArray.html">ASArray</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/ASTypedObject.html">ASTypedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/ASUndefined.html">ASUndefined</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/ASXML.html">ASXML</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/ASXMLDocument.html">ASXMLDocument</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/Atomic.html">Atomic</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/AudioCodecSettings.html">AudioCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/IOAudioMixerSettings.html">IOAudioMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/IOAudioMixerTrackSettings.html">IOAudioMixerTrackSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/IOStreamBitRateStats.html">IOStreamBitRateStats</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/IOVideoMixerSettings.html">IOVideoMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/IOVideoMixerSettings/Mode.html">– Mode</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/RTMPStreamInfo.html">RTMPStreamInfo</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/SRTPerformanceData.html">SRTPerformanceData</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/SoundTransform.html">SoundTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/VTSessionOption.html">VTSessionOption</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/VideoCodecSettings.html">VideoCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/VideoCodecSettings/BitRateMode.html">– BitRateMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/VideoCodecSettings/ScalingMode.html">– ScalingMode</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Typealiases.html#/s:10HaishinKit8ASObjecta">ASObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Typealiases.html#/s:10HaishinKit32IOAudioCaptureConfigurationBlocka">IOAudioCaptureConfigurationBlock</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Typealiases.html#/s:10HaishinKit32IOVideoCaptureConfigurationBlocka">IOVideoCaptureConfigurationBlock</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Code</h1>
              <div class="declaration">
                <div class="language">
                  
                  <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">Code</span> <span class="p">:</span> <span class="kt">String</span></code></pre>

                </div>
              </div>
            <p>NetStatusEvent#info.code for NetStream</p>
<div class="aside aside-seealso">
    <p class="aside-title">Seealso</p>
    <a href="https://help.adobe.com/en_US/air/reference/html/flash/events/NetStatusEvent.html#NET_STATUS">https://help.adobe.com/en_US/air/reference/html/flash/events/NetStatusEvent.html#NET_STATUS</a>

</div>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO11bufferEmptyyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/bufferEmpty" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO11bufferEmptyyA2EmF">bufferEmpty</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">bufferEmpty</span> <span class="o">=</span> <span class="s">"NetStream.Buffer.Empty"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO11bufferFlushyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/bufferFlush" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO11bufferFlushyA2EmF">bufferFlush</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">bufferFlush</span> <span class="o">=</span> <span class="s">"NetStream.Buffer.Flush"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO10bufferFullyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/bufferFull" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO10bufferFullyA2EmF">bufferFull</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">bufferFull</span> <span class="o">=</span> <span class="s">"NetStream.Buffer.Full"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO13connectClosedyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/connectClosed" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO13connectClosedyA2EmF">connectClosed</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">connectClosed</span> <span class="o">=</span> <span class="s">"NetStream.Connect.Closed"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO13connectFailedyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/connectFailed" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO13connectFailedyA2EmF">connectFailed</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">connectFailed</span> <span class="o">=</span> <span class="s">"NetStream.Connect.Failed"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO15connectRejectedyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/connectRejected" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO15connectRejectedyA2EmF">connectRejected</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">connectRejected</span> <span class="o">=</span> <span class="s">"NetStream.Connect.Rejected"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO14connectSuccessyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/connectSuccess" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO14connectSuccessyA2EmF">connectSuccess</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">connectSuccess</span> <span class="o">=</span> <span class="s">"NetStream.Connect.Success"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO15drmUpdateNeededyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/drmUpdateNeeded" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO15drmUpdateNeededyA2EmF">drmUpdateNeeded</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">drmUpdateNeeded</span> <span class="o">=</span> <span class="s">"NetStream.DRM.UpdateNeeded"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO6failedyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/failed" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO6failedyA2EmF">failed</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">failed</span> <span class="o">=</span> <span class="s">"NetStream.Failed"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO20multicastStreamResetyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/multicastStreamReset" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO20multicastStreamResetyA2EmF">multicastStreamReset</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">multicastStreamReset</span> <span class="o">=</span> <span class="s">"NetStream.MulticastStream.Reset"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO11pauseNotifyyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/pauseNotify" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO11pauseNotifyyA2EmF">pauseNotify</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">pauseNotify</span> <span class="o">=</span> <span class="s">"NetStream.Pause.Notify"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO10playFailedyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/playFailed" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO10playFailedyA2EmF">playFailed</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">playFailed</span> <span class="o">=</span> <span class="s">"NetStream.Play.Failed"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO24playFileStructureInvalidyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/playFileStructureInvalid" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO24playFileStructureInvalidyA2EmF">playFileStructureInvalid</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">playFileStructureInvalid</span> <span class="o">=</span> <span class="s">"NetStream.Play.FileStructureInvalid"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO18playInsufficientBWyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/playInsufficientBW" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO18playInsufficientBWyA2EmF">playInsufficientBW</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">playInsufficientBW</span> <span class="o">=</span> <span class="s">"NetStream.Play.InsufficientBW"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO25playNoSupportedTrackFoundyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/playNoSupportedTrackFound" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO25playNoSupportedTrackFoundyA2EmF">playNoSupportedTrackFound</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">playNoSupportedTrackFound</span> <span class="o">=</span> <span class="s">"NetStream.Play.NoSupportedTrackFound"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO9playResetyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/playReset" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO9playResetyA2EmF">playReset</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">playReset</span> <span class="o">=</span> <span class="s">"NetStream.Play.Reset"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO9playStartyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/playStart" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO9playStartyA2EmF">playStart</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">playStart</span> <span class="o">=</span> <span class="s">"NetStream.Play.Start"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO8playStopyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/playStop" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO8playStopyA2EmF">playStop</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">playStop</span> <span class="o">=</span> <span class="s">"NetStream.Play.Stop"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO18playStreamNotFoundyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/playStreamNotFound" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO18playStreamNotFoundyA2EmF">playStreamNotFound</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">playStreamNotFound</span> <span class="o">=</span> <span class="s">"NetStream.Play.StreamNotFound"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO14playTransitionyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/playTransition" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO14playTransitionyA2EmF">playTransition</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">playTransition</span> <span class="o">=</span> <span class="s">"NetStream.Play.Transition"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO19playUnpublishNotifyyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/playUnpublishNotify" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO19playUnpublishNotifyyA2EmF">playUnpublishNotify</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">playUnpublishNotify</span> <span class="o">=</span> <span class="s">"NetStream.Play.UnpublishNotify"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO14publishBadNameyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/publishBadName" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO14publishBadNameyA2EmF">publishBadName</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">publishBadName</span> <span class="o">=</span> <span class="s">"NetStream.Publish.BadName"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO11publishIdleyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/publishIdle" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO11publishIdleyA2EmF">publishIdle</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">publishIdle</span> <span class="o">=</span> <span class="s">"NetStream.Publish.Idle"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO12publishStartyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/publishStart" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO12publishStartyA2EmF">publishStart</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">publishStart</span> <span class="o">=</span> <span class="s">"NetStream.Publish.Start"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO19recordAlreadyExistsyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/recordAlreadyExists" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO19recordAlreadyExistsyA2EmF">recordAlreadyExists</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">recordAlreadyExists</span> <span class="o">=</span> <span class="s">"NetStream.Record.AlreadyExists"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO12recordFailedyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/recordFailed" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO12recordFailedyA2EmF">recordFailed</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">recordFailed</span> <span class="o">=</span> <span class="s">"NetStream.Record.Failed"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO14recordNoAccessyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/recordNoAccess" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO14recordNoAccessyA2EmF">recordNoAccess</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">recordNoAccess</span> <span class="o">=</span> <span class="s">"NetStream.Record.NoAccess"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO11recordStartyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/recordStart" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO11recordStartyA2EmF">recordStart</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">recordStart</span> <span class="o">=</span> <span class="s">"NetStream.Record.Start"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO10recordStopyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/recordStop" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO10recordStopyA2EmF">recordStop</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">recordStop</span> <span class="o">=</span> <span class="s">"NetStream.Record.Stop"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO23recordDiskQuotaExceededyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/recordDiskQuotaExceeded" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO23recordDiskQuotaExceededyA2EmF">recordDiskQuotaExceeded</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">recordDiskQuotaExceeded</span> <span class="o">=</span> <span class="s">"NetStream.Record.DiskQuotaExceeded"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO17secondScreenStartyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/secondScreenStart" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO17secondScreenStartyA2EmF">secondScreenStart</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">secondScreenStart</span> <span class="o">=</span> <span class="s">"NetStream.SecondScreen.Start"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO16secondScreenStopyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/secondScreenStop" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO16secondScreenStopyA2EmF">secondScreenStop</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">secondScreenStop</span> <span class="o">=</span> <span class="s">"NetStream.SecondScreen.Stop"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO10seekFailedyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/seekFailed" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO10seekFailedyA2EmF">seekFailed</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">seekFailed</span> <span class="o">=</span> <span class="s">"NetStream.Seek.Failed"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO15seekInvalidTimeyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/seekInvalidTime" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO15seekInvalidTimeyA2EmF">seekInvalidTime</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">seekInvalidTime</span> <span class="o">=</span> <span class="s">"NetStream.Seek.InvalidTime"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO10seekNotifyyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/seekNotify" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO10seekNotifyyA2EmF">seekNotify</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">seekNotify</span> <span class="o">=</span> <span class="s">"NetStream.Seek.Notify"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO10stepNotifyyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/stepNotify" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO10stepNotifyyA2EmF">stepNotify</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">stepNotify</span> <span class="o">=</span> <span class="s">"NetStream.Step.Notify"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO13unpauseNotifyyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/unpauseNotify" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO13unpauseNotifyyA2EmF">unpauseNotify</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">unpauseNotify</span> <span class="o">=</span> <span class="s">"NetStream.Unpause.Notify"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO16unpublishSuccessyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/unpublishSuccess" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO16unpublishSuccessyA2EmF">unpublishSuccess</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">unpublishSuccess</span> <span class="o">=</span> <span class="s">"NetStream.Unpublish.Success"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO20videoDimensionChangeyA2EmF"></a>
                    <a name="//apple_ref/swift/Element/videoDimensionChange" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO20videoDimensionChangeyA2EmF">videoDimensionChange</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">videoDimensionChange</span> <span class="o">=</span> <span class="s">"NetStream.Video.DimensionChange"</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit10RTMPStreamC4CodeO5levelSSvp"></a>
                    <a name="//apple_ref/swift/Property/level" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit10RTMPStreamC4CodeO5levelSSvp">level</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">var</span> <span class="nv">level</span><span class="p">:</span> <span class="kt">String</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2024 <a class="link" href="https://github.com/shogo4405/HaishinKit.swift" target="_blank" rel="external noopener">shogo4405</a>. All rights reserved. (Last updated: 2024-04-22)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.4</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
